Name:           CTL
Version:        1.4.1
Release:        28%{?dist}
Summary:        The Color Transformation Language

Group:          System Environment/Libraries
License:        AMPAS BSD
URL:            http://ampasctl.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ampasctl/ctl-%{version}.tar.gz
Patch0:         ctl-1.4.1-gcc43.patch
Patch1:         ctl-1.4.1-fix_pkgconfig.patch
Patch2:         ctl-1.4.1-gcc47.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://bugzilla.redhat.com/357461
# The CTL license is ok, Free but GPL Incompatible.
BuildRequires:  ilmbase-devel
#BuildRequires:  autoconf, aclocal

%description
The Color Transformation Language, or CTL, is a programming language
for digital color management.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ilmbase-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation

%description docs
This package contains documentation files for %{name}.


%prep
%setup -q -n ctl-%{version}
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .fix_pkg-config
%patch2 -p1

# Was needed to disable rpath from configure -> patch0
#autoreconf

# fix perms
chmod 0644 doc/CtlManual.doc
chmod 0644 IlmCtl/{CtlInterpreter.cpp,CtlParser.cpp}


%build
%configure --disable-static

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Removes docs
rm -rf $RPM_BUILD_ROOT%{_datadir}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/CTL/
%{_libdir}/*.so
%{_libdir}/pkgconfig/CTL.pc

%files docs
%defattr(-,root,root,-)
%doc doc/CtlManual.pdf doc/CtlManual.doc

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4.1-23
- Rebuilt for GCC 5 C++11 ABI change

* Tue Nov 25 2014 Rex Dieter <rdieter@fedoraproject.org> 1.4.1-22
- rebuild (ilmbase)

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 27 2013 Rex Dieter <rdieter@fedoraproject.org> 1.4.1-19
- rebuild (ilmbase)

* Sun Sep 08 2013 Rex Dieter <rdieter@fedoraproject.org> 1.4.1-18
- rebuild (ilmbase)

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-14
- Rebuilt for c++ ABI breakage

* Thu Jan 19 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-13
- Add ctl-1.4.1-gcc47.patch (Fix mass rebuild FTBFS).

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb  3 2009 kwizart < kwizart at gmail.com > - 1.4.1-8
- Rebuild for pkgconfig(CTL)

* Fri Oct  3 2008 kwizart < kwizart at gmail.com > - 1.4.1-7
- Rebuild for F-10

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 1.4.1-6
- Rebuild for gcc43

* Wed Jan  9 2008 kwizart < kwizart at gmail.com > - 1.4.1-5
- clean unused-direct-shlib-dependencies

* Tue Jan  8 2008 kwizart < kwizart at gmail.com > - 1.4.1-4
- Fix gcc43

* Fri Nov  9 2007 kwizart < kwizart at gmail.com > - 1.4.1-3
- Change package name from ctl to CTL

* Wed Nov  7 2007 kwizart < kwizart at gmail.com > - 1.4.1-2
- Improve license URL
- Use IlmBase.pc for pkg-config
- Fix perms in debuginfo

* Mon Oct 29 2007 kwizart < kwizart at gmail.com > - 1.4.1-1
- Initial package for Fedora

